Bug 688317 - Review Request: rubygem-loquacious - Descriptive configuration files for Ruby written in Ruby
Summary: Review Request: rubygem-loquacious - Descriptive configuration files for Rub...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 688322
TreeView+ depends on / blocked
 
Reported: 2011-03-16 19:35 UTC by Chris Lalancette
Modified: 2011-06-30 21:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-30 21:59:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Lalancette 2011-03-16 19:35:49 UTC
Spec URL:
http://people.redhat.com/clalance/rubygem-loquacious/rubygem-loquacious.spec
SRPM URL:
http://people.redhat.com/clalance/rubygem-loquacious/rubygem-loquacious-1.7.1-1.fc14.src.rpm
Description: Descriptive configuration files for Ruby written in Ruby.
Loquacious provides a very open configuration system written in ruby and
descriptions for each configuration attribute. The attributes and descriptions
can be iterated over allowing for helpful information about those attributes
to
be displayed to the user.
In the simple case we have a file something like
Loquacious.configuration_for('app') {
name 'value', :desc => "Defines the name"
foo  'bar',   :desc => "FooBar"
id   42,      :desc => "Ara T. Howard"
}
Which can be loaded via the standard Ruby loading mechanisms
Kernel.load 'config/app.rb'
The attributes and their descriptions can be printed by using a Help object
help = Loquacious.help_for('app')
help.show :values => true        # show the values for the attributes, too
Descriptions are optional, and configurations can be nested arbitrarily deep.
Loquacious.configuration_for('nested') {
desc "The outermost level"
a {
desc "One more level in"
b {
desc "Finally, a real value"
c 'value'
}
}
}
config = Loquacious.configuration_for('nested')
p config.a.b.c  #=> "value"
And as you can see, descriptions can either be given inline after the value or
they can appear above the attribute and value on their own line.

I ran rpmlint against the package:
[clalance@localhost SPECS]$ rpmlint rubygem-loquacious.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[clalance@localhost SPECS]$ rpmlint ../SRPMS/rubygem-loquacious-1.7.1-1.fc14.src.rpm 
rubygem-loquacious.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
rubygem-loquacious.src: W: spelling-error %description -l en_US rb -> br, Rb, r
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Chris Lalancette 2011-04-02 20:50:05 UTC
Based on review comments in BZ 688316, I've made a new version of the package available that uses the released gem rather than one built from git.  The new SPEC and SRPM are here:

http://people.redhat.com/clalance/rubygem-loquacious/rubygem-loquacious.spec
http://people.redhat.com/clalance/rubygem-loquacious/rubygem-loquacious-1.7.1-2.fc14.src.rpm

Thanks,
Chris Lalancette

Comment 2 Chris Lalancette 2011-06-30 21:59:18 UTC
Well, it looks like webby is unmaintained upstream.  Combine this with the fact that we are going to switch the aeolus infrastructure over to using nanoc, and I think there isn't really a good reason to put this in Fedora.  Since this was going to be put in as a dependency for webby, I don't see a need for it anymore.

Closing this review request out.


Note You need to log in before you can comment on or make changes to this bug.